%define name perl-TimeDate
%define real_name TimeDate
%define version 1.14
%define real_version 1.14
%define release 1mdk

Summary:	TimeDate module for perl (Data_Type_Utilities/Time)
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Source0:	%{real_name}-%{real_version}.tar.bz2
Url:		http://www.cpan.org
BuildRequires:	perl-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot/
Requires:	perl
BuildArch:	noarch

%description
Simple Time and Date module for perl.

%prep
%setup -q -n %{real_name}-%{real_version}

%build
CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
make
make test

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
make PREFIX=$RPM_BUILD_ROOT%{_prefix} install


%files
%defattr(-,root,root)
%doc MANIFEST README ChangeLog
%{perl_vendorlib}/Date
%{perl_vendorlib}/Time
%{_mandir}/*/*

%changelog
* Mon Nov 04 2002 Franois Pons <fpons@mandrakesoft.com> 1.14-1mdk
- 1.14.

* Fri Jul 19 2002 Franois Pons <fpons@mandrakesoft.com> 1.13.01-1mdk
- 1.1301.

* Tue Jul  9 2002 Pixel <pixel@mandrakesoft.com> 1.13-2mdk
- rebuild for perl 5.8.0

* Mon Jun 10 2002 Franois Pons <fpons@mandrakesoft.com> 1.13-1mdk
- 1.13.

* Tue Mar 26 2002 Franois Pons <fpons@mandrakesoft.com> 1.11-1mdk
- updated License.
- added Date and Time directory.
- 1.11.

* Mon Oct 15 2001 Stefan van der Eijk <stefan@eijk.nu> 1.10-4mdk
- BuildRequires: perl-devel

* Sun Jun 17 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.10-3mdk
- Rebuild for the latest perl.

* Tue Mar 13 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 1.10-2mdk
- BuildArch: noarch
- add docs
- rename spec file
- clean up spec a bit

* Mon Nov 13 2000 Gregory Letoquart <gletoquart@mandrakesoft.com> 1.10-1mdk
- Up to 1.10

* Mon Sep  1 2000 Enzo Maggi <enzo@mandrakesoft.com> 1.09-1mdk
- Up to 1.09

* Mon Aug  7 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.08-1mdk
- First mandrake package

* Tue May 11 1999 root <root@alien.devel.redhat.com>
- Spec file was autogenerated.
